Public Class frmKundenAufschubdatenBearbeiten

    Dim KUNDE As VERAG_PROG_ALLGEMEIN.cKunde = Nothing
    Dim KundenNr As Integer

    Sub New(KundenNr As Integer)
        InitializeComponent()
        Me.KundenNr = KundenNr
    End Sub

    Sub init(KundenNr)
        If KundenNr <= 0 Then Exit Sub

        usrCntlAufschubkonten.initMe(KundenNr)

        KUNDE = New VERAG_PROG_ALLGEMEIN.cKunde(KundenNr)
        txtEORI.Text = If(KUNDE.EORITIN, "")
        txtEORINL.Text = If(KUNDE.EORITIN_NL, "")
        Label28.Text = If(KUNDE.DakosyExport, "-")

        checkEORI_Aufschub()
    End Sub

    Sub checkEORI_Aufschub()
        If usrCntlAufschubkonten.AUFSCHUB IsNot Nothing Then
            For Each a In usrCntlAufschubkonten.AUFSCHUB
                If a.kdAkto_eori IsNot Nothing AndAlso (a.kdAkto_eori & If(a.kdAkto_eoriNL, "")).replace(" ", "") <> (KUNDE.EORITIN & If(KUNDE.EORITIN_NL, "")).replace(" ", "") Then
                    txtERROR.Text = "EORI in Kundenstamm stimmt nicht mit EORI in Aufschubdaten überein!"
                End If
            Next
        End If
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If KUNDE Is Nothing Then Exit Sub

        KUNDE.EORITIN = isLeerNothing(txtEORI.Text)
        If IsNumeric(txtEORINL.Text) Then
            KUNDE.EORITIN_NL = isLeerNothing(txtEORINL.Text)
        End If

    
        If If(KUNDE.EORITIN, "") = "" Then
            MsgBox("Bitte EORI-Nr. eintragen!")
            Exit Sub
        End If
        If KUNDE.SAVE() And usrCntlAufschubkonten.SAVE() Then
            DAKOSY_Worker.cDakosyFunftions.sendDataByKdNr(KUNDE.KundenNr) ' An Dy senden
            init(KUNDE.KundenNr)
        End If

    End Sub

    Function isLeerNothing(o) As Object
        Return IIf(o = "", Nothing, o)
    End Function

    Private Sub frmKundenAufschubdatenBearbeiten_Load(sender As Object, e As EventArgs) Handles Me.Load
        init(KundenNr)

    End Sub
End Class